//
// Created by Orest Savchak on 12/15/17.
// Copyright (c) 2017 GetSocial BV. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "GetSocialConstants.h"

#pragma mark - GetSocial Notification Key
typedef NSString *GetSocialNotificationKey NS_EXTENSIBLE_STRING_ENUM;

#pragma mark - GetSocial OpenActivity Notification Keys
extern GetSocialNotificationKey GetSocialNotificationKey_OpenActivity_ActivityId;
extern GetSocialNotificationKey GetSocialNotificationKey_OpenActivity_CommentId;

#pragma mark - GetSocial OpenProfile Notification Keys
extern GetSocialNotificationKey GetSocialNotificationKey_OpenProfile_UserId;

@interface GetSocialNotification : NSObject

/*!
 * Returns an enum value of the action.
 */
@property (nonatomic, readonly) GetSocialNotificationActionType action;

/*!
 * Data passed with action.
 */
@property (nonatomic, strong, readonly) NSDictionary<GetSocialNotificationKey, NSString *> *actionData;

/*!
 * Message of Push Notification.
 */
@property (nonatomic, copy, readonly) NSString *text;

/*!
 * Title of Push Notification.
 */
@property (nonatomic, copy, readonly) NSString *title;

@end

