//
//  GetSocialReferredUser.h
//  GetSocial
//
//  Copyright © 2017 GetSocial BV. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <GetSocial/GetSocialConstants.h>
#import <GetSocial/GetSocialPublicUser.h>

/*!
 * @abstract Defines ReferredUser class.
 */
@interface GetSocialReferredUser : GetSocialPublicUser
NS_ASSUME_NONNULL_BEGIN

/*!
 * @abstract UNIX-timestamp of date in seconds when user installed the application.
 */
@property (nonatomic, readonly) NSUInteger installationDate;

/*!
 * @abstract One of the constants prefixed with `GetSocial_InviteChannelPluginId_`.
 */
@property (nonatomic, readonly) NSString *installationChannel;

NS_ASSUME_NONNULL_END
@end
